#!/usr/bin/env node

// 重点：npm link lio-imooc-test-lib
const lib = require('lio-imooc-test-lib')
console.log(lib)
console.log(lib.sum(1, 3))


// 注册一个命令 lio-imooc-test init
const argv = require('process').argv
console.log(argv)
// [
//     'D:\\software\\nodejs\\node.exe',
//     'C:\\Users\\hjy\\AppData\\Roaming\\npm\\node_modules\\lio-imooc-test\\bin\\index.js',
//     'init',
//     '--name',
//     'vue-test'
//   ]
const command = argv[2]

// 输入命令:lio-imooc-test init --name vue-test
const options = argv.slice(3)


if (options.length > 1) {
    let [option, param] = options
    // --name vue-test
    console.log(option, param)
    option = option.replace('--', '')
 
    if (command) {
        if (lib[command]) {
            lib[command]({ option, param })
        } else {
            console.log('无效的命令')
        }
    } else {
        console.log('请输入命令')
    }
}

// 实现参数解析 --version 和 init --name
if (command.startsWith('--') || command.startsWith('-')) {
    const globalOption = command.replace(/--|-/g, '')
    if (globalOption === 'version' || globalOption === 'V') {
        console.log('1.0.0')
    }
}

console.log('welcome lio-imooc-test')